classification
Title: setup.py register does not always respect --repository
Type: behavior Stage: resolved
Components: Distutils, Library (Lib) Versions: Python 3.10, Python 3.9, Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: chris.jerdonek, eric.araujo, steve.dower, tarek
Priority: normal Keywords:

Created on 2013-01-11 04:24 by chris.jerdonek, last changed 2021-02-03 18:04 by steve.dower. This issue is now closed.

Messages (6)
msg179624 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-11 04:24
$ python setup.py --dry-run register --repository http://testpypi.python.org/pypi
...
Registering Foo to http://pypi.python.org/pypi
Server response (200): OK

This is with a .pypirc file with a [server-login] section.

It seems like this can cause unintended registrations on PyPI, etc.  It also makes it unclear how to get the URL that setup() will use prior to the real invocation (e.g. if you would like to prompt the user with the URL they will be pushing to).
msg179626 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2013-01-11 04:34
I think this is a duplicate, could you check?
msg179628 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-11 04:42
I did before and double-checked again.  I searched for "setup repository" and "register repository," for example.  Issue 16926 seemed the most similar, but appears to be different.
msg179629 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-11 04:45
This is in part because register.run() calls self._set_config() after calling self.finalize_options():

http://hg.python.org/cpython/file/680a855ec91e/Lib/distutils/command/register.py#l43

And _set_config() doesn't seem to look at already-finalized options.
msg179630 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-11 04:51
> Issue 16926 seemed the most similar, but appears to be different.

I meant issue 13615.  It is different but is also about --repository.
msg386239 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:04
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:04:28steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386239

resolution: out of date
stage: resolved
2020-11-10 18:25:58iritkatrielsetversions: + Python 3.8, Python 3.9, Python 3.10, - Python 2.7, Python 3.2, Python 3.3, Python 3.4
2013-01-11 04:51:06chris.jerdoneksetmessages: + msg179630
2013-01-11 04:45:47chris.jerdoneksetmessages: + msg179629
2013-01-11 04:42:23chris.jerdoneksetmessages: + msg179628
2013-01-11 04:34:00eric.araujosetmessages: + msg179626
2013-01-11 04:24:01chris.jerdonekcreate